INSTALLDIR=/usr/local/lib/topaz

###############################################
# do not change following lines
all:
	cd ./topaz; make -f Makefile.sol; cd ..
.PHONY: clean
clean:
	cd ./topaz; make -f Makefile.sol clean; cd ..
.PHONY: install
install:
#checking $(INSTALLDIR)
	@if  test ! -d $(INSTALLDIR) \
	; then  \
		echo "install directory does not exist!!"; \
		exit 1  \
	; fi
	strip ./topaz/topaz
	strip ./topaz/tpv2ps
	strip ./topaz/tpvview
	cp ./topaz.sh $(INSTALLDIR)
	cp ./head.ps $(INSTALLDIR)
	cp ./HISTORY $(INSTALLDIR)
	cp ./LICENSE $(INSTALLDIR)
	cp ./README.euc $(INSTALLDIR)/README
	cp ./INSTALL.euc $(INSTALLDIR)/INSTALL
	cp ./topaz/topaz $(INSTALLDIR)
	cp ./topaz/tpv2ps $(INSTALLDIR)
	cp ./topaz/tpvview $(INSTALLDIR)
	chmod 755 $(INSTALLDIR)/topaz.sh
	chmod 755 $(INSTALLDIR)/topaz
	chmod 755 $(INSTALLDIR)/tpv2ps
	chmod 755 $(INSTALLDIR)/tpvview
#checking $(INSTALLDIR)/_topaz
	@if  test ! -d $(INSTALLDIR)/_topaz \
        ; then  \
           mkdir $(INSTALLDIR)/_topaz \
        ; fi
	cp ./_topaz/* $(INSTALLDIR)/_topaz
	cp ./cuirc.lnx $(INSTALLDIR)/_topaz/cui.rc
	cp ./topazfontmap $(INSTALLDIR)/_topaz
	cp ./topazkfontmap $(INSTALLDIR)/_topaz
	chmod 755 $(INSTALLDIR)/_topaz/*
#checking $(INSTALLDIR)/sample
	@if  test ! -d $(INSTALLDIR)/sample \
        ; then  \
           mkdir $(INSTALLDIR)/sample \
        ; fi
	cp ./sample/* $(INSTALLDIR)/sample

