/*----------------------------------------------------------------------------
                    kanji.h (definitions of kanji character)
                       This file is a part of topaz systems
                  Copyright: Hisao Kawaura, All rights reserved
                                   1997 - 98


    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

----------------------------------------------------------------------------*/

#if !defined(__kanji_h)
#define __kanji_h

bool maykanji(char c);
int charlength(char c);
int charlengthback(const char *s, int pos);
bool iskanji1(char *pos);
void tojis(unsigned int *s);
void tosjis(unsigned int *s);
void sjistojis(unsigned int *s);

#endif
