/*----------------------------------------------------------------------------
                  linearfit.h (definitions of linear fit functions)
                       This file is a part of topaz systems
                  Copyright: Hisao Kawaura, All rights reserved
                                   1997 - 98


    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

----------------------------------------------------------------------------*/

#if !defined(__linearfit_h)
#define __linearfit_h

#include <string>
#include "vectdefs.h"

#define FIT_POLY00          0            
#define FIT_POLY01          1            
#define FIT_POLY02          2            
#define FIT_POLY03          3            
#define FIT_POLY04          4            
#define FIT_POLY05          5            
#define FIT_POLY06          6            
#define FIT_POLY07          7            
#define FIT_POLY08          8            
#define FIT_POLY09          9            
#define FIT_POLY10          10            
#define FIT_EXP             11            
#define FIT_LOG             12            
#define FIT_POW1            13            
#define FIT_POW2            14            

extern bool getlinearfitfunctionname(int id, std::string *out);


#endif







